Create a book transfer
curl --request POST \
--url https://api-sandbox.orum.io/deliver/booktransfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/booktransfers"
payload = {
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
book_transfer_reference_id: '<string>',
amount: 2,
currency: 'USD',
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/booktransfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/booktransfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'book_transfer_reference_id' => '<string>',
'amount' => 2,
'currency' => 'USD',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/booktransfers"
payload := strings.NewReader("{\n \"book_transfer_reference_id\": \"<string>\",\n \"amount\": 2,\n \"currency\": \"USD\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.orum.io/deliver/booktransfers")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"book_transfer_reference_id\": \"<string>\",\n \"amount\": 2,\n \"currency\": \"USD\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/booktransfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"book_transfer_reference_id\": \"<string>\",\n \"amount\": 2,\n \"currency\": \"USD\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"book_transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"status": "created",
"status_reasons": [
{
"source": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
},
"destination": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
}
}
],
"metadata": {},
"source": {
"subledger_reference_id": "<string>"
},
"destination": {
"subledger_reference_id": "<string>"
}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Book Transfers
Create a book transfer
Create a book transfer
POST
/
deliver
/
booktransfers
Create a book transfer
curl --request POST \
--url https://api-sandbox.orum.io/deliver/booktransfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/booktransfers"
payload = {
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
book_transfer_reference_id: '<string>',
amount: 2,
currency: 'USD',
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/booktransfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/booktransfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'book_transfer_reference_id' => '<string>',
'amount' => 2,
'currency' => 'USD',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/booktransfers"
payload := strings.NewReader("{\n \"book_transfer_reference_id\": \"<string>\",\n \"amount\": 2,\n \"currency\": \"USD\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.orum.io/deliver/booktransfers")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"book_transfer_reference_id\": \"<string>\",\n \"amount\": 2,\n \"currency\": \"USD\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/booktransfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"book_transfer_reference_id\": \"<string>\",\n \"amount\": 2,\n \"currency\": \"USD\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"book_transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"status": "created",
"status_reasons": [
{
"source": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
},
"destination": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
}
}
],
"metadata": {},
"source": {
"subledger_reference_id": "<string>"
},
"destination": {
"subledger_reference_id": "<string>"
}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
Headers
Body
application/json
Was this page helpful?